Skip to content
You're viewing documentation for v2026.11.6-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Run pre-deploy checks

Run pre-deployment prerequisite checks (advisory).

POST/api/v1/database-services/{id}/preflight
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

serversServerPreflightResult[]required
Show properties
Array of ServerPreflightResult
checksPreflightCheckResult[]required
Show properties
Array of PreflightCheckResult
checkstringrequired
detailstring
statusstringrequired
Allowed:passwarnfail
rolestringrequired
server_idstringrequired
server_namestringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/string/preflight' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "servers": [
    {
      "checks": [
        {
          "check": "string",
          "detail": "string",
          "status": "pass"
        }
      ],
      "role": "string",
      "server_id": "string",
      "server_name": "string"
    }
  ]
}